## nats.c 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(cnats)
include(CTest)
include(FindPackageHandleStandardArgs)

# Uncomment to have the build process verbose
#set(CMAKE_VERBOSE_MAKEFILE TRUE)

# Uncomment to have the executable moved to 'build' instead of their respective 'build/xxx' directories
#set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})

# Set a default build type if none was specified
set(default_build_type "Release")

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Release" "Debug" "MinSizeRel" "RelWithDebInfo")
endif()

option(NATS_UPDATE_VERSION "Update the version file" OFF)
option(NATS_UPDATE_DOC "Update the doc template file" OFF)
option(NATS_COVERAGE "Code coverage" OFF)
option(NATS_COVERAGE_UPLOAD "Upload the generated coveralls json" OFF)
option(NATS_BUILD_NO_SPIN "Enable if spin code does not compile on your arch" OFF)
option(NATS_BUILD_WITH_TLS "Build with TLS support" ON)
option(NATS_BUILD_TLS_FORCE_HOST_VERIFY "Forces hostname verification" ON)
option(NATS_BUILD_TLS_USE_OPENSSL_1_1_API "Build for OpenSSL 1.1+" OFF)
option(NATS_BUILD_USE_SODIUM "Build using libsodium library" OFF)
option(NATS_BUILD_EXAMPLES "Build examples" ON)
option(NATS_BUILD_LIBUV_EXAMPLE "Build libuv examples" OFF)
option(NATS_BUILD_LIBEVENT_EXAMPLE "Build libevent examples" OFF)
option(NATS_BUILD_STATIC_EXAMPLES "Statically link examples" OFF)
option(NATS_BUILD_STREAMING "Build NATS Streaming" ON)
option(NATS_BUILD_NO_PREFIX_CONNSTS "No prefix for connection status enum" OFF)
option(NATS_BUILD_LIB_STATIC "Build static library" ON)
option(NATS_BUILD_LIB_SHARED "Build shared library" ON)
option(NATS_COMPILER_HARDENING "Compiler hardening flags" OFF)
if(UNIX AND APPLE)
  option(CMAKE_MACOSX_RPATH "Build with macOS RPath" ON)
endif()

if(DEFINED ENV{NATS_SANITIZE})
  set(NATS_STANITIZE "$ENV{NATS_SANITIZE}")
  mark_as_advanced(NATS_SANITIZE)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_BINARY_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/coveralls-cmake/cmake)

if(NATS_COVERAGE)
  include(Coveralls)
  coveralls_turn_on_coverage()
endif(NATS_COVERAGE)

if(NATS_BUILD_WITH_TLS)
  find_package(OpenSSL REQUIRED)
endif(NATS_BUILD_WITH_TLS)

# Convert deprecated option
if(NATS_BUILD_WITH_TLS_CLIENT_METHOD)
  set(NATS_BUILD_TLS_USE_OPENSSL_1_1_API ON)
endif(NATS_BUILD_WITH_TLS_CLIENT_METHOD)

set(LIBUV_DIR "" CACHE PATH "Libuv install directory")
set(LIBEVENT_DIR "" CACHE PATH "Libevent install directory")

set(NATS_DOC_PROJECT_NAME "NATS C Client with JetStream support")
if(NATS_BUILD_STREAMING)
  IF(DEFINED ENV{NATS_PROTOBUF_DIR})
    SET(NATS_PROTOBUF_DIR "$ENV{NATS_PROTOBUF_DIR}")
  ENDIF()
  FIND_PATH(
    NATS_PROTOBUF_INCLUDE_DIR
      protobuf-c/protobuf-c.h
    HINTS
      ${NATS_PROTOBUF_DIR}
  )
  FIND_LIBRARY(NATS_PROTOBUF_LIBRARY
    NAMES libprotobuf-c.so libprotobuf-c.dylib libprotobuf-c.a protobuf-c.lib protobuf-c.dll
    HINTS ${NATS_PROTOBUF_DIR}
  )
  FIND_PACKAGE_HANDLE_STANDARD_ARGS(libprotobuf-c DEFAULT_MSG
    NATS_PROTOBUF_INCLUDE_DIR
    NATS_PROTOBUF_LIBRARY
  )
  IF(libprotobuf-c_FOUND)
    SET(NATS_PROTOBUF_INCLUDE_DIRS ${NATS_PROTOBUF_INCLUDE_DIR})
    SET(NATS_PROTOBUF_LIBRARIES ${NATS_PROTOBUF_LIBRARY})
    MARK_AS_ADVANCED(
      NATS_PROTOBUF_LIBRARY
      NATS_PROTOBUF_INCLUDE_DIR
      NATS_PROTOBUF_DIR
    )
  ELSE()
    SET(NATS_PROTOBUF_DIR "" CACHE STRING
      "An optional hint to a directory for finding `libprotobuf-c`"
    )
    MESSAGE(FATAL_ERROR
      "Could not find libprotobuf-c package. Check build instructions: https://github.com/nats-io/nats.c#building-with-streaming")
  ENDIF()
  add_definitions(-DNATS_HAS_STREAMING)
  set(NATS_DOC_INCLUDE_STREAMING "NATS_HAS_STREAMING")
  set(NATS_DOC_PROJECT_NAME "NATS C Client with JetStream and Streaming support")
endif(NATS_BUILD_STREAMING)

if(NATS_BUILD_USE_SODIUM)
  IF(DEFINED ENV{NATS_SODIUM_DIR})
    SET(NATS_SODIUM_DIR "$ENV{NATS_SODIUM_DIR}")
  ENDIF()
  FIND_PATH(
    NATS_SODIUM_INCLUDE_DIR
      sodium.h
    HINTS
      ${NATS_SODIUM_DIR}
  )
  FIND_LIBRARY(NATS_SODIUM_LIBRARY
    NAMES libsodium.so libsodium.dylib libsodium.a libsodium.lib libsodium.dll
    HINTS ${NATS_SODIUM_DIR}
  )
  FIND_PACKAGE_HANDLE_STANDARD_ARGS(libsodium DEFAULT_MSG
    NATS_SODIUM_INCLUDE_DIR
    NATS_SODIUM_LIBRARY
  )
  IF(libsodium_FOUND)
    SET(NATS_SODIUM_INCLUDE_DIRS ${NATS_SODIUM_INCLUDE_DIR})
    SET(NATS_SODIUM_LIBRARIES ${NATS_SODIUM_LIBRARY})
    MARK_AS_ADVANCED(
      NATS_SODIUM_LIBRARY
      NATS_SODIUM_INCLUDE_DIR
      NATS_SODIUM_DIR
    )
  ELSE()
    SET(NATS_SODIUM_DIR "" CACHE STRING
      "An optional hint to a directory for finding `libsodium`"
    )
    MESSAGE(FATAL_ERROR
      "Could not find libsodium package. Check build instructions: https://github.com/nats-io/nats.c#building-with-libsodium")
  ENDIF()
  add_definitions(-DNATS_USE_LIBSODIUM)
endif(NATS_BUILD_USE_SODIUM)

if(NATS_BUILD_NO_PREFIX_CONNSTS)
  add_definitions(-DNATS_CONN_STATUS_NO_PREFIX)
endif(NATS_BUILD_NO_PREFIX_CONNSTS)

# Platform specific settings
if(UNIX)
  #---------------------------------------------------------------------------
  # Define NATS cache variables that override the CMAKE and MEMCHECK variables
  #---------------------------------------------------------------------------
  include(GNUInstallDirs)

  set(NATS_LIBDIR ${CMAKE_INSTALL_LIBDIR})
  set(NATS_INCLUDE_DIR ${CMAKE_INSTALL_INCLUDEDIR})

  set(NATS_BUILD_ARCH "64" CACHE STRING "32 for 32bits builds")

  find_program(MEMORYCHECK_COMMAND valgrind)
  set(NATS_MEMCHECK_CMD_OPTS "--leak-check=full --track-fds=yes --show-reachable=yes --num-callers=50" CACHE STRING "Memcheck options")
  set(MEMORYCHECK_COMMAND_OPTIONS ${NATS_MEMCHECK_CMD_OPTS} CACHE INTERNAL "")

  set(NATS_COMMON_C_FLAGS "-std=c99 -pedantic")

  # Some compiler hardening flags.
  if(NATS_COMPILER_HARDENING)
     set(NATS_COMMON_C_FLAGS "${NATS_COMMON_C_FLAGS} -fPIE -fstack-protector-all -D_FORTIFY_SOURCE=2 -O1")
     # Works only with GCC.
     if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
       set(NATS_COMMON_C_FLAGS "${NATS_COMMON_C_FLAGS} -Wl,-z,relro,-z,now -pie")
     endif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  endif(NATS_COMPILER_HARDENING)

  set(NATS_WARNINGS "-fstrict-aliasing -Wall -W -Wno-unused-parameter -Wno-unused-function -Wstrict-prototypes -Wwrite-strings")
  set(NATS_PLATFORM_INCLUDE "unix")

  if(APPLE)
    set(NATS_OS "DARWIN")
  else(APPLE)
    set(NATS_OS "LINUX")
    set(NATS_USE_PTHREAD "-pthread")
    set(NATS_EXTRA_LIB "rt")
  endif(APPLE)
  if (${NATS_BUILD_ARCH} MATCHES "32")
    if(NOT APPLE)
      message("-----------------------------------------------------------")
      message("If build fails, you probably need to install libc6-dev-i386")
      message("apt-get install libc6-dev-i386")
      message("-----------------------------------------------------------")
    endif(NOT APPLE)

    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -m32")
    set(CMAKE_C_LINKER_FLAGS "${CMAKE_C_LINKER_FLAGS} -m32")
  endif(${NATS_BUILD_ARCH} MATCHES "32")

elseif(WIN32)
  set(NATS_LIBDIR "lib")
  set(NATS_INCLUDE_DIR "include")
  set(NATS_EXTRA_LIB "Ws2_32")
  set(NATS_OS "_WIN32")
  set(NATS_PLATFORM_INCLUDE "win")
  if(sodium_USE_STATIC_LIBS)
    add_definitions(
      -DSODIUM_STATIC
      -DSODIUM_EXPORT=
    )
  endif(sodium_USE_STATIC_LIBS)
endif(UNIX)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${NATS_COMMON_C_FLAGS} ${NATS_USE_PTHREAD} ${NATS_WARNINGS}")
if(NATS_SANITIZE)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-omit-frame-pointer -fno-optimize-sibling-calls")
endif(NATS_SANITIZE)

if(UNIX)
  if(APPLE)
  else(APPLE)
    add_definitions(-D_GNU_SOURCE)
    if(NATS_BUILD_NO_SPIN)
      add_definitions(-DNATS_NO_SPIN)
    endif(NATS_BUILD_NO_SPIN)
  endif(APPLE)
endif(UNIX)
add_definitions(-D${NATS_OS})
add_definitions(-D_REENTRANT)
if(NATS_BUILD_WITH_TLS)
  add_definitions(-DNATS_HAS_TLS)
  if(NATS_BUILD_TLS_USE_OPENSSL_1_1_API)
    add_definitions(-DNATS_USE_OPENSSL_1_1)
  endif(NATS_BUILD_TLS_USE_OPENSSL_1_1_API)
  if(NATS_BUILD_TLS_FORCE_HOST_VERIFY)
    add_definitions(-DNATS_FORCE_HOST_VERIFICATION)
  endif(NATS_BUILD_TLS_FORCE_HOST_VERIFY)
endif(NATS_BUILD_WITH_TLS)


#------------
# Versionning and Doc

set(NATS_VERSION_MAJOR  3)
set(NATS_VERSION_MINOR  2)
set(NATS_VERSION_PATCH  0)
set(NATS_VERSION_SUFFIX "")

set(NATS_VERSION_REQUIRED_NUMBER 0x030200)

if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
configure_file(
	${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.in
	${CMAKE_CURRENT_SOURCE_DIR}/src/version.h
	@ONLY)

configure_file(
	${CMAKE_SOURCE_DIR}/doc/DoxyFile.NATS.Client.in
	${CMAKE_SOURCE_DIR}/doc/DoxyFile.NATS.Client
	@ONLY)
endif(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
#------------

#------------
# pkg-config
if(UNIX)
  configure_file(
    ${PROJECT_SOURCE_DIR}/src/libnats.pc.in
    ${PROJECT_BINARY_DIR}/libnats.pc
    @ONLY
  )
  install (
    FILES "${PROJECT_BINARY_DIR}/libnats.pc"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
endif(UNIX)
#------------

#----------------------------
# Add the project directories

add_subdirectory(src)
add_subdirectory(examples)
add_subdirectory(examples/getstarted)
if(NATS_BUILD_STREAMING)
  add_subdirectory(examples/stan)
endif()
add_subdirectory(test)
add_subdirectory(test/dylib)
#----------------------------

=== src/CMakeLists.txt ===
#------------------------
# Add the sub-directories
#------------------------
include_directories(include)
include_directories(${NATS_PLATFORM_INCLUDE})

if(NATS_BUILD_WITH_TLS)
  include_directories(${OPENSSL_INCLUDE_DIR})
  set(NATS_OPENSSL_LIBS "${OPENSSL_LIBRARIES}")
endif(NATS_BUILD_WITH_TLS)

if(NATS_BUILD_STREAMING)
  include_directories(${NATS_PROTOBUF_INCLUDE_DIRS})
  include_directories(stan)
endif(NATS_BUILD_STREAMING)

if(NATS_BUILD_USE_SODIUM)
  include_directories(${NATS_SODIUM_INCLUDE_DIRS})
endif(NATS_BUILD_USE_SODIUM)

#---------------------------------------
# Grab all files in 'src' and 'src/unix'
# or 'src/win' depending on the platform
#---------------------------------------
file(GLOB SOURCES "*.c")
file(GLOB PS_SOURCES "${NATS_PLATFORM_INCLUDE}/*.c")

# Add stan directory if building with Streaming support
if(NATS_BUILD_STREAMING)
  file(GLOB S_SOURCES "stan/*.c")
endif(NATS_BUILD_STREAMING)

# --------------------------------------
# Create the shared and static libraries
# --------------------------------------
if(NATS_BUILD_LIB_SHARED)
  add_library(nats SHARED ${SOURCES} ${PS_SOURCES} ${S_SOURCES})
  target_link_libraries(nats ${NATS_OPENSSL_LIBS} ${NATS_EXTRA_LIB} ${NATS_PROTOBUF_LIBRARIES} ${NATS_SODIUM_LIBRARIES})
  set_target_properties(nats PROPERTIES
    VERSION ${NATS_VERSION_MAJOR}.${NATS_VERSION_MINOR}.${NATS_VERSION_PATCH}
    SOVERSION ${NATS_VERSION_MAJOR}.${NATS_VERSION_MINOR})
endif(NATS_BUILD_LIB_SHARED)

if(NATS_BUILD_LIB_STATIC)
  add_library(nats_static STATIC ${SOURCES} ${PS_SOURCES} ${S_SOURCES})
  target_link_libraries(nats_static ${NATS_OPENSSL_LIBS} ${NATS_PROTOBUF_LIBRARIES} ${NATS_SODIUM_LIBRARIES})
  set_target_properties(nats_static PROPERTIES
    VERSION ${NATS_VERSION_MAJOR}.${NATS_VERSION_MINOR}.${NATS_VERSION_PATCH}
    SOVERSION ${NATS_VERSION_MAJOR}.${NATS_VERSION_MINOR})
  target_compile_definitions(nats_static PRIVATE -DNATS_STATIC)
endif(NATS_BUILD_LIB_STATIC)

# --------------------------------------
# Install the libraries and header files
# --------------------------------------


if(NATS_BUILD_LIB_SHARED)
  set_property(TARGET nats PROPERTY DEBUG_POSTFIX d)
  target_include_directories(nats PUBLIC
        $<INSTALL_INTERFACE:include>)
  install(TARGETS nats EXPORT cnats-targets DESTINATION ${NATS_LIBDIR})
  install(EXPORT cnats-targets
        NAMESPACE cnats::
        FILE cnats-config.cmake
        DESTINATION lib/cmake/cnats)
endif(NATS_BUILD_LIB_SHARED)

if(NATS_BUILD_LIB_STATIC)
  set_property(TARGET nats_static PROPERTY DEBUG_POSTFIX d)
  target_include_directories(nats_static PUBLIC
        $<INSTALL_INTERFACE:include>)
  install(TARGETS nats_static EXPORT cnats-targets ARCHIVE DESTINATION ${NATS_LIBDIR})
  install(EXPORT cnats-targets
        NAMESPACE cnats::
        FILE cnats-config.cmake
        DESTINATION lib/cmake/cnats)
endif(NATS_BUILD_LIB_STATIC)

install(FILES deprnats.h DESTINATION ${NATS_INCLUDE_DIR} RENAME nats.h)
install(FILES nats.h status.h version.h DESTINATION ${NATS_INCLUDE_DIR}/nats)
install(FILES adapters/libevent.h adapters/libuv.h DESTINATION ${NATS_INCLUDE_DIR}/nats/adapters)

# --------------------------------------
# Setup the coveralls target and tell it
# to gather coverage data for all the
# lib sources.
# --------------------------------------
if(NATS_COVERAGE)
	set(COVERAGE_SRCS ${SOURCES} ${S_SOURCES})
	list(REMOVE_ITEM COVERAGE_SRCS "${PROJECT_SOURCE_DIR}/src/stan/protocol.pb-c.c")
	coveralls_setup(
        "${COVERAGE_SRCS}"
        ${NATS_COVERAGE_UPLOAD}
        "${PROJECT_SOURCE_DIR}/coveralls-cmake/cmake")
endif(NATS_COVERAGE)

=== examples/stan/CMakeLists.txt ===
if(NOT NATS_BUILD_EXAMPLES)
  return()
endif()

# We need this directory to build the examples
include_directories(${PROJECT_SOURCE_DIR}/src)
include_directories(${PROJECT_SOURCE_DIR}/examples/stan)

# Get all the .c files in the examples directory
file(GLOB EXAMPLES_SOURCES RELATIVE ${PROJECT_SOURCE_DIR}/examples/stan *.c)

# For each file...
foreach(examples_src ${EXAMPLES_SOURCES})

    # Remove the suffix so that it becomes the executable name
    string(REPLACE ".c" "" examplename ${examples_src})
    set(exampleexe "stan-${examplename}")

    # Build the executable
    add_executable(${exampleexe} ${PROJECT_SOURCE_DIR}/examples/stan/${examples_src})

    # Link
    if(NATS_BUILD_STATIC_EXAMPLES)
      target_link_libraries(${exampleexe} nats_static ${NATS_EXTRA_LIB})
    else()
      target_link_libraries(${exampleexe} nats ${NATS_EXTRA_LIB})
    endif()

endforeach()

=== test/dylib/CMakeLists.txt ===
if(NOT BUILD_TESTING)
  return()
endif()
if(NOT NATS_BUILD_LIB_SHARED)
  return()
endif()  

# We need this to build the test program
include_directories(${PROJECT_SOURCE_DIR}/src)

# Build the test program
add_executable(nonats nonats.c)

# Link dynamically with the library
add_definitions(-Dnats_IMPORTS)

target_link_libraries(nonats nats ${NATS_EXTRA_LIB})

=== debian/changelog ===
nats.c (3.2.0-1) unstable; urgency=medium

  * debian/gbp.conf
  * New upstream version 3.2.0
  * new soname, update year in copyright, update Standards-Version
  * cmake files path patch

 -- Victor Seva <vseva@debian.org>  Wed, 16 Feb 2022 11:08:25 +0100

nats.c (2.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #991376)

 -- Victor Seva <vseva@debian.org>  Sat, 26 Jun 2021 12:24:54 +0200

=== debian/control ===
Source: nats.c
Priority: optional
Maintainer: Victor Seva <vseva@debian.org>
Build-Depends:
 cmake (>=3.13),
 debhelper-compat (= 12),
 libprotobuf-c-dev,
 libsodium-dev,
 libssl-dev,
Standards-Version: 4.6.0.1
Section: libs
Homepage: https://github.com/nats-io/nats.c/
Vcs-Browser: https://salsa.debian.org/debian/nats.c
Vcs-Git: https://salsa.debian.org/debian/nats.c.git

Package: libnats-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libnats3.2 (= ${binary:Version}),
 ${misc:Depends},
Description: C client for the NATS messaging system (development files)
 NATS messaging enables the exchange of data that is segmented into messages
 among computer applications and services. These messages are addressed by
 subjects and do not depend on network location. This provides an abstraction
 layer between the application or service and the underlying physical network.
 Data is encoded and framed as a message and sent by a publisher.
 The message is received, decoded, and processed by one or more subscribers.
 .
 This package provides the C headers for NATS

Package: libnats3.2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C client for the NATS messaging system
 NATS messaging enables the exchange of data that is segmented into messages
 among computer applications and services. These messages are addressed by
 subjects and do not depend on network location. This provides an abstraction
 layer between the application or service and the underlying physical network.
 Data is encoded and framed as a message and sent by a publisher.
 The message is received, decoded, and processed by one or more subscribers.
 .
 This package provides the C shared libraries for NATS

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_test:

## nats.c 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,7 @@
 endif(NATS_COVERAGE)
 
 if(NATS_BUILD_WITH_TLS)
+  set(OPENSSL_USE_STATIC_LIBS ${NATS_BUILD_OPENSSL_STATIC_LIBS})
   find_package(OpenSSL REQUIRED)
 endif(NATS_BUILD_WITH_TLS)
 
@@ -242,11 +243,11 @@
 # Versionning and Doc
 
 set(NATS_VERSION_MAJOR  3)
-set(NATS_VERSION_MINOR  2)
+set(NATS_VERSION_MINOR  3)
 set(NATS_VERSION_PATCH  0)
 set(NATS_VERSION_SUFFIX "")
 
-set(NATS_VERSION_REQUIRED_NUMBER 0x030200)
+set(NATS_VERSION_REQUIRED_NUMBER 0x030300)
 
 if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
 configure_file(

=== debian/changelog ===
nats.c (3.3.0-4) unstable; urgency=medium

  * rules: fix configure

 -- Victor Seva <vseva@debian.org>  Thu, 14 Jul 2022 02:19:49 +0200

nats.c (3.3.0-3) unstable; urgency=medium

  * configure to build using openssl 1.1
  * upstream's fix for build warning

 -- Victor Seva <vseva@debian.org>  Wed, 13 Jul 2022 20:08:41 +0200

nats.c (3.3.0-2) unstable; urgency=medium

  * fix armel build
  * update Standards-Version, no changes needed

 -- Victor Seva <vseva@debian.org>  Tue, 12 Jul 2022 12:58:44 +0200

nats.c (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Mon, 02 May 2022 14:17:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libprotobuf-c-dev,
  libsodium-dev,
  libssl-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://github.com/nats-io/nats.c/
 Vcs-Browser: https://salsa.debian.org/debian/nats.c
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnats3.2 (= ${binary:Version}),
+ libnats3.3 (= ${binary:Version}),
  ${misc:Depends},
 Description: C client for the NATS messaging system (development files)
  NATS messaging enables the exchange of data that is segmented into messages
@@ -30,7 +30,7 @@
  .
  This package provides the C headers for NATS
 
-Package: libnats3.2
+Package: libnats3.3
 Architecture: any
 Multi-Arch: same
 Depends:

## nats.c 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -243,11 +243,11 @@
 # Versionning and Doc
 
 set(NATS_VERSION_MAJOR  3)
-set(NATS_VERSION_MINOR  3)
-set(NATS_VERSION_PATCH  0)
+set(NATS_VERSION_MINOR  4)
+set(NATS_VERSION_PATCH  1)
 set(NATS_VERSION_SUFFIX "")
 
-set(NATS_VERSION_REQUIRED_NUMBER 0x030300)
+set(NATS_VERSION_REQUIRED_NUMBER 0x030400)
 
 if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
 configure_file(

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -58,23 +58,25 @@
 if(NATS_BUILD_LIB_SHARED)
   set_property(TARGET nats PROPERTY DEBUG_POSTFIX d)
   target_include_directories(nats PUBLIC
+        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
         $<INSTALL_INTERFACE:include>)
   install(TARGETS nats EXPORT cnats-targets DESTINATION ${NATS_LIBDIR})
   install(EXPORT cnats-targets
         NAMESPACE cnats::
         FILE cnats-config.cmake
-        DESTINATION lib/cmake/cnats)
+        DESTINATION ${NATS_LIBDIR}/cmake/cnats)
 endif(NATS_BUILD_LIB_SHARED)
 
 if(NATS_BUILD_LIB_STATIC)
   set_property(TARGET nats_static PROPERTY DEBUG_POSTFIX d)
   target_include_directories(nats_static PUBLIC
+        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
         $<INSTALL_INTERFACE:include>)
   install(TARGETS nats_static EXPORT cnats-targets ARCHIVE DESTINATION ${NATS_LIBDIR})
   install(EXPORT cnats-targets
         NAMESPACE cnats::
         FILE cnats-config.cmake
-        DESTINATION lib/cmake/cnats)
+        DESTINATION ${NATS_LIBDIR}/cmake/cnats)
 endif(NATS_BUILD_LIB_STATIC)
 
 install(FILES deprnats.h DESTINATION ${NATS_INCLUDE_DIR} RENAME nats.h)

=== test/CMakeLists.txt ===
if(NOT BUILD_TESTING)
  return()
endif()
if(NOT NATS_BUILD_LIB_STATIC)
   MESSAGE(FATAL_ERROR
     "Building tests require static library, or run CMake with -DBUILD_TESTING=OFF")
  return()
endif()  

# We need this to build the test program
include_directories(${PROJECT_SOURCE_DIR}/src)
if(NATS_BUILD_WITH_TLS)
  include_directories(${OPENSSL_INCLUDE_DIR})
endif(NATS_BUILD_WITH_TLS)
if(NATS_BUILD_STREAMING)
  include_directories(${NATS_PROTOBUF_INCLUDE_DIRS})
  include_directories(${PROJECT_SOURCE_DIR}/src/stan)
endif(NATS_BUILD_STREAMING)

# Build the test program
add_executable(testsuite test.c)

# Link statically with the library
target_link_libraries(testsuite nats_static ${NATS_EXTRA_LIB})

# Set the test index to 0
set(testIndex 0)

# Read the file 'list.txt' to get all the test names
file(STRINGS list.txt listOfTestNames)

# For each test name
foreach(name ${listOfTestNames})

  # Create a test and pass the index (start and end are the same)
  # to the testsuite executable
  add_test(NAME Test_${name}
           WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}
           COMMAND testsuite ${testIndex} ${testIndex})

  # Make sure the test passes
  set_tests_properties(Test_${name} PROPERTIES PASS_REGULAR_EXPRESSION "ALL PASSED")

  # Bump the test index number
  math(EXPR testIndex "${testIndex}+1")
endforeach()

=== examples/getstarted/CMakeLists.txt ===
if(NOT NATS_BUILD_EXAMPLES)
  return()
endif()

# We need this directory to build the examples
include_directories(${PROJECT_SOURCE_DIR}/src)
include_directories(${PROJECT_SOURCE_DIR}/examples/getstarted)

# Get all the .c files in the examples directory
file(GLOB EXAMPLES_SOURCES RELATIVE ${PROJECT_SOURCE_DIR}/examples/getstarted *.c)

if(NOT NATS_BUILD_STATIC_EXAMPLES)
  add_definitions(-Dnats_IMPORTS)
endif()

# For each file...
foreach(examples_src ${EXAMPLES_SOURCES})

    # Remove the suffix so that it becomes the executable name
    string(REPLACE ".c" "" examplename ${examples_src})
    set(exampleexe "${examplename}")

    # Build the executable
    add_executable(${exampleexe} ${PROJECT_SOURCE_DIR}/examples/getstarted/${examples_src})

    # Link
    if(NATS_BUILD_STATIC_EXAMPLES)
		target_link_libraries(${exampleexe} nats_static ${NATS_EXTRA_LIB})
	else()
		target_link_libraries(${exampleexe} nats ${NATS_EXTRA_LIB})
	endif()

endforeach()

=== debian/changelog ===
nats.c (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * update symbols

 -- Victor Seva <vseva@debian.org>  Wed, 26 Oct 2022 00:37:32 +0200

nats.c (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * remove already applied patches
  * libnats3.4

 -- Victor Seva <vseva@debian.org>  Mon, 03 Oct 2022 10:13:28 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnats3.3 (= ${binary:Version}),
+ libnats3.4 (= ${binary:Version}),
  ${misc:Depends},
 Description: C client for the NATS messaging system (development files)
  NATS messaging enables the exchange of data that is segmented into messages
@@ -30,7 +30,7 @@
  .
  This package provides the C headers for NATS
 
-Package: libnats3.3
+Package: libnats3.4
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DNATS_BUILD_TLS_USE_OPENSSL_1_1_API=ON
 
 override_dh_auto_test:

## nats.c 3.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -243,11 +243,11 @@
 # Versionning and Doc
 
 set(NATS_VERSION_MAJOR  3)
-set(NATS_VERSION_MINOR  4)
-set(NATS_VERSION_PATCH  1)
+set(NATS_VERSION_MINOR  5)
+set(NATS_VERSION_PATCH  0)
 set(NATS_VERSION_SUFFIX "")
 
-set(NATS_VERSION_REQUIRED_NUMBER 0x030400)
+set(NATS_VERSION_REQUIRED_NUMBER 0x030500)
 
 if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
 configure_file(

=== debian/changelog ===
nats.c (3.5.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Victor Seva ]
  * New upstream version 3.5.0
  * update standards-version to 4.6.2, no changes needed
  * libnats3.5

 -- Victor Seva <vseva@debian.org>  Fri, 27 Jan 2023 10:59:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: Victor Seva <vseva@debian.org>
 Build-Depends:
- cmake (>=3.13),
- debhelper-compat (= 12),
+ cmake (>= 3.13),
+ debhelper-compat (= 13),
  libprotobuf-c-dev,
  libsodium-dev,
  libssl-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/nats-io/nats.c/
 Vcs-Browser: https://salsa.debian.org/debian/nats.c
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnats3.4 (= ${binary:Version}),
+ libnats3.5 (= ${binary:Version}),
  ${misc:Depends},
 Description: C client for the NATS messaging system (development files)
  NATS messaging enables the exchange of data that is segmented into messages
@@ -30,7 +30,7 @@
  .
  This package provides the C headers for NATS
 
-Package: libnats3.4
+Package: libnats3.5
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@ --buildsystem=cmake

## nats.c 3.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,11 +25,10 @@
 option(NATS_UPDATE_VERSION "Update the version file" OFF)
 option(NATS_UPDATE_DOC "Update the doc template file" OFF)
 option(NATS_COVERAGE "Code coverage" OFF)
-option(NATS_COVERAGE_UPLOAD "Upload the generated coveralls json" OFF)
 option(NATS_BUILD_NO_SPIN "Enable if spin code does not compile on your arch" OFF)
 option(NATS_BUILD_WITH_TLS "Build with TLS support" ON)
 option(NATS_BUILD_TLS_FORCE_HOST_VERIFY "Forces hostname verification" ON)
-option(NATS_BUILD_TLS_USE_OPENSSL_1_1_API "Build for OpenSSL 1.1+" OFF)
+option(NATS_BUILD_TLS_USE_OPENSSL_1_1_API "Build for OpenSSL 1.1+" ON)
 option(NATS_BUILD_USE_SODIUM "Build using libsodium library" OFF)
 option(NATS_BUILD_EXAMPLES "Build examples" ON)
 option(NATS_BUILD_LIBUV_EXAMPLE "Build libuv examples" OFF)
@@ -50,22 +49,16 @@
 endif()
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_BINARY_DIR})
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/coveralls-cmake/cmake)
 
 if(NATS_COVERAGE)
-  include(Coveralls)
-  coveralls_turn_on_coverage()
+  message("-- Coverage Enabled")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage -fprofile-arcs -ftest-coverage")
 endif(NATS_COVERAGE)
 
 if(NATS_BUILD_WITH_TLS)
   set(OPENSSL_USE_STATIC_LIBS ${NATS_BUILD_OPENSSL_STATIC_LIBS})
   find_package(OpenSSL REQUIRED)
 endif(NATS_BUILD_WITH_TLS)
-
-# Convert deprecated option
-if(NATS_BUILD_WITH_TLS_CLIENT_METHOD)
-  set(NATS_BUILD_TLS_USE_OPENSSL_1_1_API ON)
-endif(NATS_BUILD_WITH_TLS_CLIENT_METHOD)
 
 set(LIBUV_DIR "" CACHE PATH "Libuv install directory")
 set(LIBEVENT_DIR "" CACHE PATH "Libevent install directory")
@@ -243,11 +236,11 @@
 # Versionning and Doc
 
 set(NATS_VERSION_MAJOR  3)
-set(NATS_VERSION_MINOR  5)
+set(NATS_VERSION_MINOR  7)
 set(NATS_VERSION_PATCH  0)
 set(NATS_VERSION_SUFFIX "")
 
-set(NATS_VERSION_REQUIRED_NUMBER 0x030500)
+set(NATS_VERSION_REQUIRED_NUMBER 0x030700)
 
 if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
 configure_file(

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -82,17 +82,3 @@
 install(FILES deprnats.h DESTINATION ${NATS_INCLUDE_DIR} RENAME nats.h)
 install(FILES nats.h status.h version.h DESTINATION ${NATS_INCLUDE_DIR}/nats)
 install(FILES adapters/libevent.h adapters/libuv.h DESTINATION ${NATS_INCLUDE_DIR}/nats/adapters)
-
-# --------------------------------------
-# Setup the coveralls target and tell it
-# to gather coverage data for all the
-# lib sources.
-# --------------------------------------
-if(NATS_COVERAGE)
-	set(COVERAGE_SRCS ${SOURCES} ${S_SOURCES})
-	list(REMOVE_ITEM COVERAGE_SRCS "${PROJECT_SOURCE_DIR}/src/stan/protocol.pb-c.c")
-	coveralls_setup(
-        "${COVERAGE_SRCS}"
-        ${NATS_COVERAGE_UPLOAD}
-        "${PROJECT_SOURCE_DIR}/coveralls-cmake/cmake")
-endif(NATS_COVERAGE)

=== debian/changelog ===
nats.c (3.7.0-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:11:47 +0000

nats.c (3.7.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:06:50 +0000

nats.c (3.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063159

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 21:44:25 +0000

nats.c (3.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Victor Seva ]
  * New upstream version 3.7.0
  * NATS_BUILD_TLS_USE_OPENSSL_1_1_API is enabled by default in since v3.6.0
  * add NATS_BUILD_USE_SODIUM
  * rename lib version
  * update symbols
  * replicate upstream path for missing-sources files
  * wrap-and-sort -sat

 -- Victor Seva <vseva@debian.org>  Wed, 25 Oct 2023 12:42:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: nats.c
 Priority: optional
-Maintainer: Victor Seva <vseva@debian.org>
-Build-Depends:
- cmake (>= 3.13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Victor Seva <vseva@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
+ cmake,
  debhelper-compat (= 13),
  libprotobuf-c-dev,
  libsodium-dev,
@@ -18,7 +19,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnats3.5 (= ${binary:Version}),
+ libnats3.7t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: C client for the NATS messaging system (development files)
  NATS messaging enables the exchange of data that is segmented into messages
@@ -30,7 +31,10 @@
  .
  This package provides the C headers for NATS
 
-Package: libnats3.5
+Package: libnats3.7t64
+Provides: ${t64:Provides}
+Replaces: libnats3.7
+Breaks: libnats3.7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nats.c-$1.tar.gz%" \
   https://github.com/nats-io/nats.c/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## nats.c 3.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,16 @@
 include(FindPackageHandleStandardArgs)
 
 # Uncomment to have the build process verbose
-#set(CMAKE_VERBOSE_MAKEFILE TRUE)
-
-# Uncomment to have the executable moved to 'build' instead of their respective 'build/xxx' directories
-#set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
+# set(CMAKE_VERBOSE_MAKEFILE TRUE)
+
+set(CMAKE_C_STANDARD 99)
+set(CMAKE_C_STANDARD_REQUIRED ON)
+
+# Set output directories for libraries and executables.
+# This is important for Windows builds to have the DLLs in the same directory as the executables.
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
 
 # Set a default build type if none was specified
 set(default_build_type "Release")
@@ -177,7 +183,9 @@
   else(APPLE)
     set(NATS_OS "LINUX")
     set(NATS_USE_PTHREAD "-pthread")
-    set(NATS_EXTRA_LIB "rt")
+    if(NOT ANDROID)
+      set(NATS_EXTRA_LIB "rt -lpthread")
+    endif()
   endif(APPLE)
   if (${NATS_BUILD_ARCH} MATCHES "32")
     if(NOT APPLE)
@@ -194,9 +202,17 @@
 elseif(WIN32)
   set(NATS_LIBDIR "lib")
   set(NATS_INCLUDE_DIR "include")
-  set(NATS_EXTRA_LIB "Ws2_32")
+  set(NATS_EXTRA_LIB "ws2_32")
   set(NATS_OS "_WIN32")
   set(NATS_PLATFORM_INCLUDE "win")
+
+  # Warning control.
+  add_compile_options(/W4) # Set warning level to maximum, then disable:
+  add_compile_options(/wd4100) # unreferenced formal parameter
+  add_compile_options(/wd4200) # nonstandard extension used: zero-sized array in struct/union
+  add_compile_options(/wd4130) # logical operation on address of string constant
+  add_compile_options(/wd4127) # conditional expression is constant
+
   if(sodium_USE_STATIC_LIBS)
     add_definitions(
       -DSODIUM_STATIC
@@ -236,11 +252,11 @@
 # Versionning and Doc
 
 set(NATS_VERSION_MAJOR  3)
-set(NATS_VERSION_MINOR  7)
-set(NATS_VERSION_PATCH  0)
+set(NATS_VERSION_MINOR  9)
+set(NATS_VERSION_PATCH  1)
 set(NATS_VERSION_SUFFIX "")
 
-set(NATS_VERSION_REQUIRED_NUMBER 0x030700)
+set(NATS_VERSION_REQUIRED_NUMBER 0x030900)
 
 if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
 configure_file(

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 #------------------------
 include_directories(include)
 include_directories(${NATS_PLATFORM_INCLUDE})
+include_directories(glib)
 
 if(NATS_BUILD_WITH_TLS)
   include_directories(${OPENSSL_INCLUDE_DIR})
@@ -24,6 +25,7 @@
 #---------------------------------------
 file(GLOB SOURCES "*.c")
 file(GLOB PS_SOURCES "${NATS_PLATFORM_INCLUDE}/*.c")
+file(GLOB GLIB_SOURCES "glib/*.c")
 
 # Add stan directory if building with Streaming support
 if(NATS_BUILD_STREAMING)
@@ -34,7 +36,7 @@
 # Create the shared and static libraries
 # --------------------------------------
 if(NATS_BUILD_LIB_SHARED)
-  add_library(nats SHARED ${SOURCES} ${PS_SOURCES} ${S_SOURCES})
+  add_library(nats SHARED ${SOURCES} ${GLIB_SOURCES} ${PS_SOURCES} ${S_SOURCES})
   target_link_libraries(nats ${NATS_OPENSSL_LIBS} ${NATS_EXTRA_LIB} ${NATS_PROTOBUF_LIBRARIES} ${NATS_SODIUM_LIBRARIES})
   set_target_properties(nats PROPERTIES
     VERSION ${NATS_VERSION_MAJOR}.${NATS_VERSION_MINOR}.${NATS_VERSION_PATCH}
@@ -42,7 +44,7 @@
 endif(NATS_BUILD_LIB_SHARED)
 
 if(NATS_BUILD_LIB_STATIC)
-  add_library(nats_static STATIC ${SOURCES} ${PS_SOURCES} ${S_SOURCES})
+  add_library(nats_static STATIC ${SOURCES} ${GLIB_SOURCES} ${PS_SOURCES} ${S_SOURCES})
   target_link_libraries(nats_static ${NATS_OPENSSL_LIBS} ${NATS_PROTOBUF_LIBRARIES} ${NATS_SODIUM_LIBRARIES})
   set_target_properties(nats_static PROPERTIES
     VERSION ${NATS_VERSION_MAJOR}.${NATS_VERSION_MINOR}.${NATS_VERSION_PATCH}

=== debian/changelog ===
nats.c (3.9.1-1) unstable; urgency=medium

  * New upstream version 3.9.1
  * symbols: add new symbols

 -- Victor Seva <vseva@debian.org>  Mon, 04 Nov 2024 12:25:02 +0100

nats.c (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0
  * libnats3.9

 -- Victor Seva <vseva@debian.org>  Mon, 04 Nov 2024 12:06:42 +0100

nats.c (3.8.3-1) unstable; urgency=medium

  * New upstream version 3.8.3

 -- Victor Seva <vseva@debian.org>  Mon, 04 Nov 2024 12:03:31 +0100

nats.c (3.8.2-1) unstable; urgency=medium

  * New upstream version 3.8.2
  * symbols: update removed symbols

 -- Victor Seva <vseva@debian.org>  Mon, 04 Nov 2024 11:58:08 +0100

nats.c (3.8.0-1) unstable; urgency=medium

  * add static libs to dev-packet (Closes: #1060669)
  * New upstream version 3.8.0
  * libnats3.8

 -- Victor Seva <vseva@debian.org>  Mon, 04 Nov 2024 11:46:45 +0100

## nats.c 3.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 project(cnats)
 include(CTest)
 include(FindPackageHandleStandardArgs)
+include(CMakePackageConfigHelpers)
 
 # Uncomment to have the build process verbose
 # set(CMAKE_VERBOSE_MAKEFILE TRUE)
@@ -253,10 +254,15 @@
 
 set(NATS_VERSION_MAJOR  3)
 set(NATS_VERSION_MINOR  9)
-set(NATS_VERSION_PATCH  1)
+set(NATS_VERSION_PATCH  2)
 set(NATS_VERSION_SUFFIX "")
 
 set(NATS_VERSION_REQUIRED_NUMBER 0x030900)
+
+write_basic_package_version_file(
+  "${PROJECT_BINARY_DIR}/cnats-config-version.cmake"
+  COMPATIBILITY SameMinorVersion
+  VERSION ${NATS_VERSION_MAJOR}.${NATS_VERSION_MINOR}.${NATS_VERSION_PATCH}${NATS_VERSION_SUFFIX})
 
 if(NATS_UPDATE_VERSION OR NATS_UPDATE_DOC)
 configure_file(

=== examples/CMakeLists.txt ===
if(NOT NATS_BUILD_EXAMPLES)
  return()
endif()
if(NOT NATS_BUILD_STATIC_EXAMPLES AND NOT NATS_BUILD_LIB_SHARED)
  MESSAGE(FATAL_ERROR
    "Building examples require shared library, or run CMake with -DNATS_BUILD_STATIC_EXAMPLES=ON")
endif()

# We need this directory to build the examples
include_directories(${PROJECT_SOURCE_DIR}/src)
include_directories(${PROJECT_SOURCE_DIR}/examples)

if(NATS_BUILD_LIBUV_EXAMPLE AND LIBUV_DIR)
  include_directories(${LIBUV_DIR}/include)
endif()

if(NATS_BUILD_LIBEVENT_EXAMPLE AND LIBEVENT_DIR)
  include_directories(${LIBEVENT_DIR}/include)
endif()

if(WIN32)
  set(LIB_SUFFIX ${CMAKE_STATIC_LIBRARY_SUFFIX})
else()
  if(NATS_BUILD_STATIC_EXAMPLES)
    set(LIB_SUFFIX ${CMAKE_STATIC_LIBRARY_SUFFIX})
  else()
    set(LIB_SUFFIX ${CMAKE_SHARED_LIBRARY_SUFFIX})
  endif()
endif()

# Get all the .c files in the examples directory
file(GLOB EXAMPLES_SOURCES RELATIVE ${PROJECT_SOURCE_DIR}/examples *.c)

if(NOT NATS_BUILD_STATIC_EXAMPLES)
  add_definitions(-Dnats_IMPORTS)
endif()

# For each file...
foreach(examples_src ${EXAMPLES_SOURCES})

    # Remove the suffix so that it becomes the executable name
    string(REPLACE ".c" "" examplename ${examples_src})
    set(exampleexe "nats-${examplename}")

    set(buildExample OFF)
    set(NATS_ASYNC_IO_LIB "")

    if(examplename MATCHES "libuv")
      if(NATS_BUILD_LIBUV_EXAMPLE)
        set(buildExample ON)
        if(LIBUV_DIR)
          set(NATS_ASYNC_IO_LIB ${LIBUV_DIR}/lib/libuv${LIB_SUFFIX})
        else()
          set(NATS_ASYNC_IO_LIB uv)
        endif()
      endif()
    elseif(examplename MATCHES "libevent")
      if(NATS_BUILD_LIBEVENT_EXAMPLE)
        set(buildExample ON)
        if(LIBEVENT_DIR)
          if(WIN32)
            set(NATS_ASYNC_IO_LIB ${LIBEVENT_DIR}/lib/event${LIB_SUFFIX})
          else()
            set(NATS_ASYNC_IO_LIB ${LIBEVENT_DIR}/lib/libevent${LIB_SUFFIX} ${LIBEVENT_DIR}/lib/libevent_pthreads${LIB_SUFFIX})
          endif()
        else()
          set(NATS_ASYNC_IO_LIB event)
          if(UNIX)
            list(APPEND NATS_ASYNC_IO_LIB event_pthreads)
          endif()
        endif()
      endif()
    else()
      set(buildExample ON)
    endif()

    if(buildExample)
      # Build the executable
      add_executable(${exampleexe} ${PROJECT_SOURCE_DIR}/examples/${examples_src})

      # Link
      if(NATS_BUILD_STATIC_EXAMPLES)
        target_link_libraries(${exampleexe} nats_static ${NATS_EXTRA_LIB} ${NATS_ASYNC_IO_LIB})
      else()
        target_link_libraries(${exampleexe} nats ${NATS_EXTRA_LIB} ${NATS_ASYNC_IO_LIB})
      endif()
    endif()

endforeach()

=== debian/changelog ===
nats.c (3.9.2-1) unstable; urgency=medium

  * New upstream version 3.9.2
  * update symbols

 -- Victor Seva <vseva@debian.org>  Wed, 22 Jan 2025 09:57:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nats.c
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Victor Seva <vseva@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5),
+Maintainer: Victor Seva <vseva@debian.org>
+Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libprotobuf-c-dev,
@@ -19,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnats3.7t64 (= ${binary:Version}),
+ libnats3.9 (= ${binary:Version}),
  ${misc:Depends},
 Description: C client for the NATS messaging system (development files)
  NATS messaging enables the exchange of data that is segmented into messages
@@ -31,10 +30,7 @@
  .
  This package provides the C headers for NATS
 
-Package: libnats3.7t64
-Provides: ${t64:Provides}
-Replaces: libnats3.7
-Breaks: libnats3.7 (<< ${source:Version})
+Package: libnats3.9
 Architecture: any
 Multi-Arch: same
 Depends:

## nats.c 3.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -208,11 +208,16 @@
   set(NATS_PLATFORM_INCLUDE "win")
 
   # Warning control.
-  add_compile_options(/W4) # Set warning level to maximum, then disable:
-  add_compile_options(/wd4100) # unreferenced formal parameter
-  add_compile_options(/wd4200) # nonstandard extension used: zero-sized array in struct/union
-  add_compile_options(/wd4130) # logical operation on address of string constant
-  add_compile_options(/wd4127) # conditional expression is constant
+  if(MSVC)
+    # Set warning level to maximum, then disable:
+    # /wd4100 unreferenced formal parameter
+    # /wd4200 nonstandard extension used: zero-sized array in struct/union
+    # /wd4130 logical operation on address of string constant
+    # /wd4127 conditional expression is constant
+    add_compile_options(/W4 /wd4100 /wd4200 /wd4130 /wd4127)
+  else()
+    add_compile_options(-Wall -Wextra -Wno-unused-parameter -Wno-pedantic -Wno-address -Wno-constant-conditional)
+  endif()
 
   if(sodium_USE_STATIC_LIBS)
     add_definitions(
@@ -246,6 +251,7 @@
   if(NATS_BUILD_TLS_FORCE_HOST_VERIFY)
     add_definitions(-DNATS_FORCE_HOST_VERIFICATION)
   endif(NATS_BUILD_TLS_FORCE_HOST_VERIFY)
+  set(NATS_DOC_INCLUDE_TLS "NATS_HAS_TLS")
 endif(NATS_BUILD_WITH_TLS)
 
 
@@ -253,11 +259,11 @@
 # Versionning and Doc
 
 set(NATS_VERSION_MAJOR  3)
-set(NATS_VERSION_MINOR  9)
-set(NATS_VERSION_PATCH  2)
+set(NATS_VERSION_MINOR  10)
+set(NATS_VERSION_PATCH  0)
 set(NATS_VERSION_SUFFIX "")
 
-set(NATS_VERSION_REQUIRED_NUMBER 0x030900)
+set(NATS_VERSION_REQUIRED_NUMBER 0x030A00)
 
 write_basic_package_version_file(
   "${PROJECT_BINARY_DIR}/cnats-config-version.cmake"
@@ -302,4 +308,5 @@
 endif()
 add_subdirectory(test)
 add_subdirectory(test/dylib)
+add_subdirectory(test/check_cpp)
 #----------------------------

=== debian/changelog ===
nats.c (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0
  * libnats3.10
  * update symbols

 -- Victor Seva <vseva@debian.org>  Mon, 03 Mar 2025 12:06:41 +0100

## nats.c 3.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
 option(NATS_BUILD_LIB_STATIC "Build static library" ON)
 option(NATS_BUILD_LIB_SHARED "Build shared library" ON)
 option(NATS_COMPILER_HARDENING "Compiler hardening flags" OFF)
+option(NATS_WITH_EXPERIMENTAL "Build with EXPERIMENTAL API support" OFF)
 if(UNIX AND APPLE)
   option(CMAKE_MACOSX_RPATH "Build with macOS RPath" ON)
 endif()
@@ -148,6 +149,10 @@
 if(NATS_BUILD_NO_PREFIX_CONNSTS)
   add_definitions(-DNATS_CONN_STATUS_NO_PREFIX)
 endif(NATS_BUILD_NO_PREFIX_CONNSTS)
+
+if(NATS_WITH_EXPERIMENTAL)
+  add_definitions(-DNATS_WITH_EXPERIMENTAL)
+endif(NATS_WITH_EXPERIMENTAL)
 
 # Platform specific settings
 if(UNIX)
@@ -260,7 +265,7 @@
 
 set(NATS_VERSION_MAJOR  3)
 set(NATS_VERSION_MINOR  10)
-set(NATS_VERSION_PATCH  0)
+set(NATS_VERSION_PATCH  1)
 set(NATS_VERSION_SUFFIX "")
 
 set(NATS_VERSION_REQUIRED_NUMBER 0x030A00)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,10 @@
 if(NATS_BUILD_LIBEVENT_EXAMPLE AND LIBEVENT_DIR)
   include_directories(${LIBEVENT_DIR}/include)
 endif()
+
+if(NATS_BUILD_WITH_TLS)
+  include_directories(${OPENSSL_INCLUDE_DIR})
+endif(NATS_BUILD_WITH_TLS)
 
 if(WIN32)
   set(LIB_SUFFIX ${CMAKE_STATIC_LIBRARY_SUFFIX})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,8 @@
         NAMESPACE cnats::
         FILE cnats-config.cmake
         DESTINATION ${NATS_LIBDIR}/cmake/cnats)
+  install(FILES "${PROJECT_BINARY_DIR}/cnats-config-version.cmake"
+        DESTINATION ${NATS_LIBDIR}/cmake/cnats)
 endif(NATS_BUILD_LIB_SHARED)
 
 if(NATS_BUILD_LIB_STATIC)
@@ -79,6 +81,8 @@
         NAMESPACE cnats::
         FILE cnats-config.cmake
         DESTINATION ${NATS_LIBDIR}/cmake/cnats)
+  install(FILES "${PROJECT_BINARY_DIR}/cnats-config-version.cmake"
+        DESTINATION ${NATS_LIBDIR}/cmake/cnats)
 endif(NATS_BUILD_LIB_STATIC)
 
 install(FILES deprnats.h DESTINATION ${NATS_INCLUDE_DIR} RENAME nats.h)

=== examples/getstarted/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,10 @@
 if(NOT NATS_BUILD_STATIC_EXAMPLES)
   add_definitions(-Dnats_IMPORTS)
 endif()
+
+if(NATS_BUILD_WITH_TLS)
+  include_directories(${OPENSSL_INCLUDE_DIR})
+endif(NATS_BUILD_WITH_TLS)
 
 # For each file...
 foreach(examples_src ${EXAMPLES_SOURCES})

=== test/check_cpp/CMakeLists.txt ===
if(NOT BUILD_TESTING)
  return()
endif()

if(NOT NATS_BUILD_LIB_STATIC)
  MESSAGE(FATAL_ERROR
          "Building tests require static library, or run CMake with -DBUILD_TESTING=OFF")
  return()
endif()

if(MSVC)
  set_source_files_properties(test.c PROPERTIES COMPILE_FLAGS "/w")
endif()

# We need this to build the test program
include_directories(${PROJECT_SOURCE_DIR}/src)

if(NATS_BUILD_WITH_TLS)
  include_directories(${OPENSSL_INCLUDE_DIR})
endif(NATS_BUILD_WITH_TLS)

# Build the test program
add_executable(check_cpp check_cpp.cpp)

target_link_libraries(check_cpp nats_static ${NATS_EXTRA_LIB})

=== debian/changelog ===
nats.c (3.10.1-1) unstable; urgency=medium

  * New upstream version 3.10.1
  * update symbols

 -- Victor Seva <vseva@debian.org>  Mon, 17 Mar 2025 18:53:58 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnats3.9 (= ${binary:Version}),
+ libnats3.10 (= ${binary:Version}),
  ${misc:Depends},
 Description: C client for the NATS messaging system (development files)
  NATS messaging enables the exchange of data that is segmented into messages
@@ -30,7 +30,7 @@
  .
  This package provides the C headers for NATS
 
-Package: libnats3.9
+Package: libnats3.10
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
-		-DNATS_BUILD_TLS_USE_OPENSSL_1_1_API=ON
+		-DNATS_BUILD_USE_SODIUM=ON
 
 override_dh_auto_test:
